# Generated by Django 5.1.6 on 2025-02-18 07:09

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='HighCPUProcess',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pid', models.IntegerField(verbose_name='进程ID')),
                ('process_name', models.CharField(max_length=255, verbose_name='进程名称')),
                ('log_path', models.CharField(max_length=255, verbose_name='日志路径')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否活跃')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('status', models.IntegerField(default=1, help_text='1:运行中, 0:已停止', verbose_name='进程状态')),
                ('cpu_usage', models.FloatField(default=0, verbose_name='CPU使用率(%)')),
                ('memory_usage', models.FloatField(default=0, verbose_name='内存使用量(GB)')),
                ('gpu_usage', models.FloatField(default=0, verbose_name='GPU使用率(%)')),
                ('gpu_memory', models.FloatField(default=0, verbose_name='GPU显存使用量(MB)')),
                ('virtual_memory', models.FloatField(default=0, verbose_name='虚拟内存使用量(GB)')),
                ('cpu_cores', models.IntegerField(default=0, verbose_name='使用的CPU核心数')),
            ],
            options={
                'verbose_name': '高CPU进程',
                'verbose_name_plural': '高CPU进程',
            },
        ),
        migrations.CreateModel(
            name='HighGPUProcess',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pid', models.IntegerField(verbose_name='进程ID')),
                ('process_name', models.CharField(max_length=255, verbose_name='进程名称')),
                ('log_path', models.CharField(max_length=255, verbose_name='日志路径')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否活跃')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('status', models.IntegerField(default=1, help_text='1:运行中, 0:已停止', verbose_name='进程状态')),
                ('cpu_usage', models.FloatField(default=0, verbose_name='CPU使用率(%)')),
                ('memory_usage', models.FloatField(default=0, verbose_name='内存使用量(GB)')),
                ('gpu_usage', models.FloatField(default=0, verbose_name='GPU使用率(%)')),
                ('gpu_memory', models.FloatField(default=0, verbose_name='GPU显存使用量(MB)')),
                ('virtual_memory', models.FloatField(default=0, verbose_name='虚拟内存使用量(GB)')),
                ('gpu_index', models.IntegerField(default=0, verbose_name='GPU设备索引')),
            ],
            options={
                'verbose_name': '高GPU进程',
                'verbose_name_plural': '高GPU进程',
            },
        ),
        migrations.CreateModel(
            name='HighMemoryProcess',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pid', models.IntegerField(verbose_name='进程ID')),
                ('process_name', models.CharField(max_length=255, verbose_name='进程名称')),
                ('log_path', models.CharField(max_length=255, verbose_name='日志路径')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否活跃')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='更新时间')),
                ('status', models.IntegerField(default=1, help_text='1:运行中, 0:已停止', verbose_name='进程状态')),
                ('cpu_usage', models.FloatField(default=0, verbose_name='CPU使用率(%)')),
                ('memory_usage', models.FloatField(default=0, verbose_name='内存使用量(GB)')),
                ('gpu_usage', models.FloatField(default=0, verbose_name='GPU使用率(%)')),
                ('gpu_memory', models.FloatField(default=0, verbose_name='GPU显存使用量(MB)')),
                ('virtual_memory', models.FloatField(default=0, verbose_name='虚拟内存使用量(GB)')),
                ('swap_usage', models.FloatField(default=0, verbose_name='交换空间使用量(GB)')),
            ],
            options={
                'verbose_name': '高内存进程',
                'verbose_name_plural': '高内存进程',
            },
        ),
    ]
