from django.urls import path
from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('api/process/<int:pid>/status/', views.get_process_status, name='get_process_status'),
    path('monitor/start/', views.start_monitor, name='start_monitor'),
    path('monitor/stop/', views.stop_monitor, name='stop_monitor'),
    path('auto_detect/', views.auto_detect_high_resource_processes, name='auto_detect'),
    path('stop_auto_detect/', views.stop_auto_detect, name='stop_auto_detect'),
    path('high-resource/', views.high_resource_list, name='high_resource_list'),
    path('scan-directory/', views.scan_directory, name='scan_directory'),
    path('start/', views.start_monitor, name='start_monitor'),
    path('stop/', views.stop_monitor, name='stop_monitor'),
    path('status/<int:pid>/', views.get_process_status, name='get_process_status'),
    path('stop-directory-monitor/', views.stop_directory_monitor, name='stop_directory_monitor'),
    path('directory-status/', views.get_directory_status, name='directory_status'),
    path('tiktok/user-videos/', views.get_tiktok_user_videos, name='get-tiktok-user-videos'),
    path('api/tiktok/fetch_videos/', views.fetch_tiktok_videos, name='fetch_tiktok_videos'),
    path('api/fetch_videos_with_callback', views.fetch_videos_with_callback, name='fetch_videos_with_callback'),
    path('api/start_recursive_fetch_videos', views.start_recursive_fetch_videos, name='start_recursive_fetch_videos'),
    path('api/fetch_task_status/<str:task_id>', views.check_fetch_task_status, name='check_fetch_task_status'),
    path('api/fetch_task_result/<str:task_id>', views.get_fetch_task_result, name='get_fetch_task_result'),
    path('api/list_fetch_tasks', views.list_fetch_tasks, name='list_fetch_tasks'),
    path('api/clean_completed_tasks', views.clean_completed_tasks, name='clean_completed_tasks'),
    path('api/reset_task_status/<str:task_id>', views.reset_task_status, name='reset_task_status'),
    path('api/check_task_status_detail/<str:task_id>', views.check_task_status_detail, name='check_task_status_detail'),
]
